from parallels.core.utils.entity import Entity


class IisAppPool(Entity):
    def __init__(self, iis_app_pool_id, owner_id, owner_type):
        self._iis_app_pool_id = iis_app_pool_id
        self._owner_id = owner_id
        self._owner_type = owner_type

    @property
    def iis_app_pool_id(self):
        """
        :rtype: str | unicode
        """
        return self._iis_app_pool_id

    @property
    def owner_id(self):
        """
        :rtype: str | unicode
        """
        return self._owner_id

    @property
    def owner_type(self):
        """
        :rtype: str | unicode
        """
        return self._owner_type
